.details-page {
  padding: 30px;
  margin-top: 20px !important;
  .content-wrapper {
    top: 3rem;
    grid-template-rows: 1fr;
    grid-template-columns: repeat(2, 1fr);
    width: 100%;
    .main-weather-card {
      background-color: white;
      border-radius: 30px;
      min-height: 600px;
      .header-wrapper {
        background: linear-gradient(-225deg, #fff 0, #ffe29f 10%, #ffa99f 48%, #ffd1ff 100%);
        border-top-left-radius: 25px;
        border-top-right-radius: 25px;
      }
      .header-container {
        background-image: url("../../assets/svg/default.svg");
        min-height: 300px;
        background-repeat: no-repeat;
        background-size: cover;
        display: grid;
        grid-template-rows: 1fr;
        color: white;
        grid-template-columns: repeat(2, 1fr);
      }
      .today-weather-container {
        color: #fff;
        align-self: center;
        justify-self: center;
        display: grid;
        width: 100%;
        grid-template-rows: 3fr 1fr;
        grid-template-columns: 1fr;
        justify-items: center;
        grid-gap: 2rem;
        .temp-state-container {
          display: -webkit-box;
          display: flex;
          -webkit-box-pack: center;
          justify-content: center;
          -webkit-box-orient: vertical;
          -webkit-box-direction: normal;
          flex-flow: column;
          .temperature-text {
            font-size: 6rem;
            letter-spacing: 0.75rem;
          }
          .weather-state-text {
            letter-spacing: 0.5rem;
            font-size: 1.15rem;
            text-transform: uppercase;
            margin-top: 0.25rem;
          }
        }
        .hum-wind-container {
          display: -webkit-box;
          display: flex;
          -webkit-box-align: center;
          align-items: center;
          margin-left: -4rem;
          .hum-container {
            display: -webkit-box;
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            flex-flow: column;
            -webkit-box-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            align-items: center;
            .hum-text {
              text-transform: uppercase;
              letter-spacing: 0.2rem;
              font-size: 0.8rem;
              margin-bottom: 1rem;
            }
            // .hum-value-text{

            // }
          }
          .hum-wind-separator {
            margin: 0 2rem;
            width: 2px;
            height: 2.5rem;
            background-color: #fff;
          }
          .wind-container {
            display: -webkit-box;
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            flex-flow: column;
            -webkit-box-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            align-items: center;
            .wind-text {
              text-transform: uppercase;
              letter-spacing: 0.2rem;
              font-size: 0.8rem;
              margin-bottom: 1rem;
            }
          }
        }
      }
      .city-name-container {
        display: flex;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        padding-bottom: 25%;
        .city-name-underline {
          background: 0 0;
          border-radius: 5px;
          height: 5px;
          box-shadow: 0 3rem 0 0 #fff;
          .city-name-text {
            text-transform: uppercase;
            letter-spacing: 0.3rem;
            font-size: 1.75rem;
            padding-bottom: 2rem;
          }
        }
      }

      .body-content {
        display: flex;
        padding: 2rem;
        -webkit-box-pack: center;
        justify-content: center;
        -webkit-box-align: center;
        align-items: center;
        padding-bottom: 10px;
        .forecast-container {
          display: flex;
          -webkit-box-orient: horizontal;
          -webkit-box-direction: normal;
          flex-flow: row;
          margin-left: 1rem;
          flex-wrap: wrap;
          .day-weather-container {
            display: flex;
            -webkit-box-orient: vertical;
            -webkit-box-direction: normal;
            flex-flow: column;
            margin: 2rem 1.5rem;
            -webkit-box-pack: center;
            justify-content: center;
            -webkit-box-align: center;
            align-items: center;
            .day-name-text {
              font-size: 1.5rem;
              color: #39437a;
              font-weight: 700;
              text-transform: uppercase;
              margin-bottom: 0.5rem;
            }
            .day-temp-text {
              font-size: 1.85rem;
              color: #0c1066;
              letter-spacing: 0.25rem;
              margin: 0.75rem 0;
              text-align: center;
              padding-left: 0.35rem;
            }
            .day-state-text {
              font-size: 0.65rem;
              text-transform: uppercase;
              letter-spacing: 0.2rem;
              color: #2b244d;
            }
          }
        }
      }
    }
  
  }
  .chart-container{
    background-color: white;
    padding: 10px;
    border-radius: 30px;
    margin-top: 10px;
    min-height: 600px!important ;
    .city-name-text{
      text-transform: uppercase;
      letter-spacing: 3px;
      font-size: 1.75rem;
      padding: 2rem;
    }
  }
}
